<template>
	<div>
		<div style="display: inline-block;">
			<!-- <span>是否是人才库：</span>
			<el-select v-model="classify" style="width:150px;margin-left: 10px;" @change="select()">
				<el-option v-for="item in classlyList" :key="item.value" :label="item.label" :value="item.value">
				</el-option>
			</el-select>&nbsp;&nbsp; -->
			<div style="position: relative;display: inline-block;margin: 5px;">
			<span>状态：</span>
			<el-select v-model="status" style="width:150px;margin-left: 10px;" @change="select()">
				<el-option v-for="item in statesnum" :key="item.value" :label="item.label" :value="item.value">
				</el-option>
			</el-select>&nbsp;&nbsp;
			</div>
			<div style="position: relative;display: inline-block;margin: 5px;">
				<span>姓名：</span>
				<el-input style="width: 200px;" @keydown.enter.native="select" placeholder="请输入姓名" v-model="userName">
				</el-input>&nbsp;&nbsp;
			</div>
			<div style="position: relative;display: inline-block;margin: 5px;">
				<span>电话：</span>
				<el-input style="width: 200px;" @keydown.enter.native="select" placeholder="请输入电话" v-model="resumesPhoneT">
				</el-input>&nbsp;&nbsp;
			</div>
			<div style="position: relative;display: inline-block;margin: 5px;">
				<span>学校：</span>
				<el-input style="width: 200px;" @keydown.enter.native="select" placeholder="请输入学校" v-model="school">
				</el-input>&nbsp;&nbsp;
			</div>
			<div style="position: relative;display: inline-block;margin: 5px;">
				<span>学历：</span>
				<!-- <el-input style="width: 200px;" @keydown.enter.native="select" placeholder="请输入学历" v-model="resumesEducationT">
				</el-input>&nbsp;&nbsp; -->
				<el-select v-model="resumesEducationT" style="width:150px;margin-left: 10px;" @change="select()">
					<el-option v-for="item in xlData" :key="item.value" :label="item.value" :value="item.value">
					</el-option>
				</el-select>&nbsp;&nbsp;
			</div>
			
			<div style="position: relative;display: inline-block;margin: 5px;">
				<span>岗位：</span>
				<!-- <el-input style="width: 200px;" @keydown.enter.native="select" placeholder="请输入职位" v-model="resumesPostT">
				</el-input>&nbsp;&nbsp; -->
				<el-select v-model="resumesPostT" style="width:150px;margin-left: 10px;" @change="selectG(resumesPostT)">
					<el-option v-for="item in zwData" :key="item.ruleClassifyId" :label="item.ruleClassifyName" :value="item">
					</el-option>
				</el-select>&nbsp;&nbsp;
			</div>
			<div style="position: relative;display: inline-block;margin: 5px;">
				<span>专业：</span>
				<!-- <el-input style="width: 200px;" @keydown.enter.native="select" placeholder="请输入专业" v-model="rulePostNameT">
				</el-input>&nbsp;&nbsp; -->
				<el-select v-model="rulePostNameT" style="width:150px;margin-left: 10px;" @change="select()" :disabled="isshow">
					<el-option v-for="item in zyData" :key="item.id" :label="item.rulePostName" :value="item.rulePostName">
					</el-option>
				</el-select>&nbsp;&nbsp;
			</div>
			<div style="position: relative;display: inline-block;margin: 5px;">
				<span>年龄：</span>
				<el-input style="width: 200px;" @keydown.enter.native="select" placeholder="请输入年龄" v-model="resumesAgeT">
				</el-input>&nbsp;&nbsp;
			</div>
			<div style="position: relative;display: inline-block;margin: 5px;">
				<span>婚姻状况：</span>
				<!-- <el-input style="width: 200px;" @keydown.enter.native="select" placeholder="请输入婚姻状态" v-model="resumesMarriageT">
				</el-input>&nbsp;&nbsp; -->
				<el-select v-model="resumesMarriageT" style="width:150px;margin-left: 10px;" @change="select()">
					<el-option v-for="item in hyData" :key="item.value" :label="item.value" :value="item.value">
					</el-option>
				</el-select>&nbsp;&nbsp;
			</div>
			<div style="position: relative;display: inline-block;margin: 5px;">
				<span>工作经验：</span>
				<!-- <el-input style="width: 200px;" @keydown.enter.native="select" placeholder="请输入工作经验" v-model="resumesWorkExperienceT">
				</el-input>&nbsp;&nbsp; -->
				<el-select v-model="resumesWorkExperienceT" style="width:150px;margin-left: 10px;" @change="select()">
					<el-option v-for="item in gzjyData" :key="item.value" :label="item.value" :value="item.value">
					</el-option>
				</el-select>&nbsp;&nbsp;
			</div>
			<div style="position: relative;display: inline-block;margin: 5px;">
				<span>期望薪资：</span>
				<!-- <el-input style="width: 200px;" @keydown.enter.native="select" placeholder="请输入期望薪资" v-model="resumesCompensationT">
				</el-input>&nbsp;&nbsp; -->
				<el-select v-model="resumesCompensationT" style="width:150px;margin-left: 10px;" @change="select()">
					<el-option v-for="item in qwxzData" :key="item.value" :label="item.value" :value="item.value">
					</el-option>
				</el-select>&nbsp;&nbsp;
			</div>
			<el-button style='margin-left:15px;' size="mini" type="primary" icon="document" @click="select">查询
			</el-button>
			<el-button style='margin-left:15px;' size="mini" type="primary" icon="document" @click="cleans">重置
			</el-button>
			<!-- <el-button style='margin-left:15px;' size="mini" type="primary" icon="document" @click="addBtn">添加
			</el-button> -->
			<!-- <el-button style='margin:0 0 20px 20px;' v-if="isAuth('autonym:pass')" size="mini" type="primary"
				icon="document" @click="passClick()" :disabled="checkBoxData.length <= 0">通过</el-button> -->
		</div>
		<el-table v-loading="tableDataLoading" :data="tableData.list">
			<!-- @selection-change="changeFun" <el-table-column type="selection" fixed>
			</el-table-column> -->
			<el-table-column prop="resumesId" label="编号" width="80" fixed>
			</el-table-column>
			<el-table-column prop="userName" label="用户昵称" width="100" fixed>
				<template slot-scope="scope">
					<span style="color: #4f9dec;cursor: pointer;"
						@click="updates(scope.row)">{{scope.row.userName ? scope.row.userName : '未绑定'}}</span>
				</template>
			</el-table-column>
			<el-table-column prop="resumesName" label="姓名" width="100" fixed>
				<template slot-scope="scope">
					<span style="color: #4f9dec;cursor: pointer;"
						@click="updates(scope.row)">{{scope.row.resumesName ? scope.row.resumesName : '未绑定'}}</span>
				</template>
			</el-table-column>
			<el-table-column prop="resumesPhone" label="电话" width="150">
				<template slot-scope="scope">
					<span>{{scope.row.resumesPhone }}</span>
				</template>
			</el-table-column>
			<el-table-column prop="resumesIntention" label="意向位置（首选）">
			</el-table-column>
			<el-table-column prop="city" label="意向位置（备选）">
			</el-table-column>
			<el-table-column prop="school" label="学校">
			</el-table-column>			
			<el-table-column prop="resumesEducation" label="学历">
			</el-table-column>
			<el-table-column prop="resumesAge" label="年龄">
			</el-table-column>
			<el-table-column prop="resumesMarriage" label="婚姻状态">
			</el-table-column>
			<!-- <el-table-column prop="cardFront" label="身份证正面/营业执照" width="150">
				<template slot-scope="scope">
					<div v-if="scope.row.front == null || scope.row.front == ''">
						暂无图片
					</div>
					<div v-if="scope.row.front" style="display:flex;flex-wrap: wrap;">
						<el-popover placement="top-start" title="" trigger="hover">
							<img style="width: 50px; height: 50px" :src="scope.row.front" alt="" slot="reference">
							<img style="width: 200px; height: 200px" :src="scope.row.front" alt="">
						</el-popover>
					</div>
				</template>
			</el-table-column>
			<el-table-column prop="cardBack" label="身份证反面" width="150">
				<template slot-scope="scope">
					<div v-if="scope.row.back == null || scope.row.back == ''">
						暂无图片
					</div>
					<div v-if="scope.row.back" style="display:flex;flex-wrap: wrap;">
						<el-popover placement="top-start" title="" trigger="hover">
							<img style="width: 50px; height: 50px" :src="scope.row.back" alt="" slot="reference">
							<img style="width: 200px; height: 200px" :src="scope.row.back" alt="">
						</el-popover>
					</div>
				</template>
			</el-table-column> -->
			<el-table-column prop="resumesWorkExperience" label="工作经验" width="160">
			</el-table-column>
			<el-table-column prop="resumesPost" label="岗位">
			</el-table-column>
			<el-table-column prop="rulePostName" label="专业">
			</el-table-column>
			<!-- <el-table-column prop="shopImg" label="店铺/企业LOGO" width="150">
				<template slot-scope="scope">
					<div v-if="scope.row.shopImg == null || scope.row.shopImg == ''">
						暂无图片
					</div>
					<div v-if="scope.row.shopImg" style="display:flex;flex-wrap: wrap;">
						<el-popover placement="top-start" title="" trigger="hover">
							<img style="width: 50px; height: 50px" :src="scope.row.shopImg" alt="" slot="reference">
							<img style="width: 200px; height: 200px" :src="scope.row.shopImg" alt="">
						</el-popover>
					</div>
				</template>
			</el-table-column> -->
			<el-table-column prop="resumesImage" label="资质证书" width="150">
				<template slot-scope="scope">
					<div style="display:flex;flex-wrap: wrap;" v-if="scope.row.resumesImage">
						<div v-for="(item,index) in scope.row.resumesImage.split(',')" :key="index">
							<el-popover placement="top-start" title="" trigger="hover">
								<img style="width: 50px; height: 50px;margin: 3px;" :src="item" alt="" slot="reference">
								<img style="width: 200px; height: 200px" :src="item" alt="">
							</el-popover>
						</div>
					</div>
				</template>
			</el-table-column>
			<el-table-column prop="resumesEmail" label="邮箱" width="160">
			</el-table-column>
			<!-- <el-table-column prop="address" label="简历" width="160">
			</el-table-column> -->
			<el-table-column prop="resumesCompensation" label="期望薪资" width="160">
			</el-table-column>
			<el-table-column prop="money" label="核定薪资" width="160">
			</el-table-column>
			<el-table-column prop="resumesDetails" label="自我介绍" width="160">
				<template slot-scope="scope">
				<el-popover placement="top-start" title="" trigger="hover">
					<div slot="reference">{{scope.row.resumesDetails}}</div>
					<div style="width: 300px;" >{{scope.row.resumesDetails}}</div>
					
				</el-popover>
				</template>
			</el-table-column>
			<el-table-column prop="auditContent" label="审核内容" width="160">
			</el-table-column>
			<el-table-column prop="createTime" label="创建时间" width="160">
			</el-table-column>
			<el-table-column prop="updateTime" label="更新时间" width="160">
			</el-table-column>
			<el-table-column prop="status" label="是否是人才库" width="100" fixed="right">
				<template slot-scope="scope">
					<el-switch v-model="scope.row.isRecommend"
						:disabled="!isAuth('carBrandList:update')" @change="change3(scope.row.isRecommend,scope.row)"
						:active-value="openValue" :inactive-value="closeValue" active-color="#13ce66"
						inactive-color="#ff4949">
					</el-switch>
				</template>
			</el-table-column>
			<el-table-column fixed='right' prop="status" label="状态" width="100">
				<template slot-scope="scope">
					<span v-if="scope.row.status == 1">待审核</span>
					<span v-if="scope.row.status == 2">简历展示</span>
					<span v-if="scope.row.status == 3">已拒绝</span>
					<span v-if="scope.row.status == 4">简历隐藏</span>
					<el-button size="mini" type="warning" @click="upstatus(scope.row)" style="background: #fff;border: none;color: #4f9dec;">
						修改
					</el-button>
				</template>
			</el-table-column>
			<el-table-column fixed='right' label="操作" width="180">
				<template slot-scope="scope">
					<el-button size="mini" type="warning" :disabled="scope.row.status != 1 || !isAuth('carBrandList:jujue')"
						@click="refuseClick(scope.row)" style="margin: 5px;">
						拒绝
					</el-button>
					<el-button size="mini" type="primary"
						:disabled="scope.row.status != 1 || !isAuth('carBrandList:tongguo')" @click="passClicks(scope.row)" style="margin: 5px;">
						通过
					</el-button>
					<!-- <el-button size="mini" type="primary" :disabled="!isAuth('carBrandList:update')" @click="updateClicks(scope.row)" style="margin: 5px;">
						修改
					</el-button> -->
					<el-button size="mini" type="primary" @click="delClicks(scope.row)" style="margin: 5px;">
						详情
					</el-button>
					<el-button size="mini" type="primary" @click="phoneClicks(scope.row)" style="margin: 5px;">
						查看电话
					</el-button>
					<el-button size="mini" type="primary" @click="shenheClicks(scope.row)" style="margin: 5px;">
						审核记录
					</el-button>
				</template>
			</el-table-column>
		</el-table>
		<div style="text-align: center;margin-top: 10px;">
			<el-pagination @size-change="handleSizeChange" @current-change="handleCurrentChange"
				:page-sizes="[10, 20, 30, 40]" :page-size="limit" :current-page="page"
				layout="total,sizes, prev, pager, next,jumper" :total="tableData.totalCount">
			</el-pagination>
		</div>
		<!-- 审核拒绝弹框 -->
		<el-dialog title="审核拒绝" :visible.sync="dialogFormVisible" center>
			<div style="margin-bottom: 10px;">
				<span
					style="width: 200px;display: inline-block;text-align: right;position: relative;top: -70px;">拒绝理由：</span>
				<el-input style="width:50%;" v-model="content" type="textarea" :rows="4" placeholder="请输入拒绝理由">
				</el-input>
			</div>
			<div slot="footer" class="dialog-footer">
				<el-button @click="dialogFormVisible = false">取 消</el-button>
				<el-button type="primary" @click="refuseto()">确 定</el-button>
			</div>
		</el-dialog>
		<!-- 审核记录  -->
		<el-dialog title="审核记录" :visible.sync="dialogFormVisibleSh" center>
			<el-table v-loading="tableDataLoading1" :data="jiluData.list">
				<el-table-column prop="auditResumesId" label="编号" width="80">
				</el-table-column>
				<el-table-column prop="auditContent" label="审核内容">
				</el-table-column>
				<el-table-column prop="createTime" label="更新时间" width="160">
				</el-table-column>
			</el-table>
			<div style="text-align: center;margin-top: 10px;">
				<el-pagination @size-change="handleSizeChangeJl" @current-change="handleCurrentChangeJl"
					:page-sizes="[10, 20, 30, 40]" :page-size="limitJl" :current-page="pageJl"
					layout="total,sizes, prev, pager, next,jumper" :total="jiluData.totalCount">
				</el-pagination>
			</div>
		</el-dialog>
		<!-- 修改状态 -->
		<el-dialog title="修改状态" :visible.sync="dialogFormVisibleSatus" center>
			<div style="margin-bottom: 10px;">
				<span style="width: 100px;display: inline-block;text-align: right;">状态：</span>
				<el-radio-group v-model="radio" style="display: inline-block;">
					<el-radio :label="1">待审核</el-radio>
					<el-radio :label="2">简历展示</el-radio>
					<el-radio :label="3">已拒绝</el-radio>
					<el-radio :label="4">简历隐藏</el-radio>
				</el-radio-group>
			</div>
			<div slot="footer" class="dialog-footer">
				<el-button @click="dialogFormVisibleSatus = false">取 消</el-button>
				<el-button type="primary" @click="refusetoStatus()">确 定</el-button>
			</div>
		</el-dialog>
		<!-- 电话弹框  -->
		<el-dialog title="电话" :visible.sync="dialogFormVisiblePh" center>
			<div>
				<el-row>
					<el-col :span="12" class="cards">
						<div class="box">
							<div class="box_num">
								<div class="box_color">姓名</div>
								<div class="text_color">{{resumesName}}</div>
							</div>
						</div>
					</el-col>
					<el-col :span="12" class="cards">
						<div class="box">
							<div class="box_num">
								<div class="box_color">电话</div>
								<div class="text_color">{{resumesPhone}}</div>
							</div>
						</div>
					</el-col>
				</el-row>
			</div>
		</el-dialog>
		<!-- 新增简历  -->
		<el-dialog title="新增简历" :visible.sync="dialogFormVisibleAdd" center width="80%">
			<div style="margin-bottom: 10px;">
				<span
					style="width: 200px;display: inline-block;text-align: right;">绑定用户：</span>
				<el-input style="width:50%;" v-model="userNameA" @focus="updatesUp()"  placeholder="请选择绑定用户">
				</el-input>
			</div>
			<div style="margin-bottom: 10px;">
				<span
					style="width: 200px;display: inline-block;text-align: right;">姓名：</span>
				<el-input style="width:50%;" v-model="resumesNameA" placeholder="请输入姓名">
				</el-input>
			</div>
			<div style="margin-bottom: 10px;">
				<span
					style="width: 200px;display: inline-block;text-align: right;">电话：</span>
				<el-input style="width:50%;" v-model="resumesPhoneA" placeholder="请输入电话">
				</el-input>
			</div>
			<div style="margin-bottom: 10px;">
				<span
					style="width: 200px;display: inline-block;text-align: right;">学历：</span>
				<el-select v-model="resumesEducationA" style="width:50%;">
					<el-option v-for="item in xlData" :key="item.value" :label="item.value" :value="item.value">
					</el-option>
				</el-select>
			</div>
			<div style="margin-bottom: 10px;">
				<span
					style="width: 200px;display: inline-block;text-align: right;">学校：</span>
				<el-input style="width:50%;" v-model="schoolA" placeholder="请输入学校">
				</el-input>
			</div>
			<div style="margin-bottom: 10px;">
				<span
					style="width: 200px;display: inline-block;text-align: right;">年龄：</span>
				<el-input style="width:50%;" v-model="resumesAgeA" placeholder="请输入年龄">
				</el-input>
			</div>
			<div style="margin-bottom: 10px;">
				<span
					style="width: 200px;display: inline-block;text-align: right;">婚姻状态：</span>
				<el-radio-group v-model="resumesMarriageA">
					<el-radio v-for="item in hyData" :key="item.value" :label="item.value">{{item.value}}</el-radio>
				</el-radio-group>
			</div>
			<div style="margin-bottom: 10px;">
				<span
					style="width: 200px;display: inline-block;text-align: right;">工作经验：</span>
				<el-select v-model="resumesWorkExperienceA" style="width:50%;">
					<el-option v-for="item in gzjyData" :key="item.value" :label="item.value" :value="item.value">
					</el-option>
				</el-select>
			</div>
			<div style="margin-bottom: 10px;">
				<span
					style="width: 200px;display: inline-block;text-align: right;">岗位：</span>
				<el-select v-model="resumesPost" style="width:50%;" @change="selectGa(resumesPost)">
					<el-option v-for="item in zwData" :key="item.ruleClassifyId" :label="item.ruleClassifyName" :value="item">
					</el-option>
				</el-select>
			</div>
			<div style="margin-bottom: 10px;">
				<span
					style="width: 200px;display: inline-block;text-align: right;">专业：</span>
				<el-select v-model="rulePostNameA" style="width:50%;" :disabled="isshow1">
					<el-option v-for="item in zyData" :key="item.id" :label="item.rulePostName" :value="item.rulePostName">
					</el-option>
				</el-select>
			</div>
			<div style="margin-bottom: 10px;">
				<span
					style="width: 200px;display: inline-block;text-align: right;">邮箱：</span>
				<el-input style="width:50%;" v-model="resumesEmailA" placeholder="请输入邮箱">
				</el-input>
			</div>
			<div style="margin-bottom: 10px;">
				<span
					style="width: 200px;display: inline-block;text-align: right;">期望薪资：</span>
				<el-select v-model="resumesCompensationA" style="width:50%;">
					<el-option v-for="item in qwxzData" :key="item.value" :label="item.value" :value="item.value">
					</el-option>
				</el-select>
			</div>
			<div style="margin-bottom: 10px;">
				<span
					style="width: 200px;display: inline-block;text-align: right;">意向位置(首选)：</span>
				<el-input style="width:50%;" v-model="resumesIntentionA" placeholder="请输入意向位置(首选)">
				</el-input>
			</div>
			<div style="margin-bottom: 10px;">
				<span
					style="width: 200px;display: inline-block;text-align: right;">意向位置(备选)：</span>
				<el-input style="width:50%;" v-model="cityA" placeholder="请输入意向位置(备选)">
				</el-input>
			</div>
			<div style="margin-bottom: 10px;">
				<span
					style="width: 200px;display: inline-block;text-align: right;">工作经历：</span>
				<div style="width:50%;margin-left: 200px;">
					<div class="bigDiv" v-for="(item,index) in resumesCompanyListA">
						<i class="el-icon-edit xiugai" @click="addUpdate(index,item)"></i>
						<i class="el-icon-delete shanchu" @click="deleteList(index)"></i>
						<div class="titleGz">{{item.resumesTitle}}</div>
						<div class="titleGz" style="color: #999;">{{item.resumesProject}}</div>
						<div class="spanGz"><span>{{item.resumesPost}}</span><span
								class="spanTime">{{item.resumesTime}}
								<!-- ~
								{{item.createTime.substring(0,10)}} -->
							</span></div>
						<div class="delGz">{{item.resumesContent}}</div>
					</div>
				</div>
				<span style="margin-left: 200px;">
					<el-button type="primary" plain @click="addUpdate()">添加工作经历</el-button>
				</span>
			</div>
			<div style="margin-bottom: 10px;">
				<span
					style="width: 200px;display: inline-block;text-align: right;">自我简介：</span>
				<el-input style="width:50%;" v-model="resumesDetailsA" placeholder="请输入自我简介">
				</el-input>
			</div>
			<div style="margin-bottom: 10px;">
				<span
					style="width: 200px;display: inline-block;text-align: right;">证书名称：</span>
				<el-checkbox-group v-model="resumesImageNameA" @change="onChang" style="width:50%;margin-left: 200px;position: relative;top: -20px;">
					<el-checkbox v-for="(item,index) in zzzsData" :key="item.value" :label="item.value" style="margin: 5px 10px;">
						{{item.value}}</el-checkbox>
				</el-checkbox-group>
			</div>
			<div style="margin-bottom: 10px;">
				<span
					style="width: 200px;display: inline-block;text-align: right;">资质证书：</span>
				<div style="display: flex;margin-left: 200px;">
					<div v-for="(item,index) of imgsA" style="display: inline-block;">
						<div style="position: relative;margin: 5px;">
							<img :src="item" class="avatar" style="width:148px;height: 148px;border-radius: 6px;" />
							<div @click="clear(index)" class="divhove" v-if="imgsA">
								<i class="el-icon-delete" style="margin: 0;font-size: 18px;color: #fff;"></i>
							</div>
						</div>
					</div>
					<el-upload ref='upload' :action="$http.adornUrl('alioss/upload')"
						list-type="picture-card" :show-file-list="false" :on-success="handleUploadSuccess" :on-change="handleChange"
						:on-remove="handleRemove">
						<i class="el-icon-plus"></i>
					</el-upload>
				</div>
			</div>
			<div style="margin-bottom: 10px;">
				<span
					style="width: 200px;display: inline-block;text-align: right;">快速匹配专业：</span>
				<el-checkbox-group v-model="ruleMajorA" @change="onChang" style="width:50%;margin-left: 200px;position: relative;top: -20px;">
					<el-checkbox v-for="(item,index) in qtzyData" :key="item.value" :label="item.value" style="margin: 5px 10px;">
						{{item.value}}</el-checkbox>
				</el-checkbox-group>
			</div>
			
			
			<div slot="footer" class="dialog-footer">
				<el-button @click="dialogFormVisible = false">取 消</el-button>
				<el-button type="primary" @click="refusetoAdd()">确 定</el-button>
			</div>
		</el-dialog>
		<!-- 工作经历 -->
		<el-dialog title="工作经历" :visible.sync="dialogFormVisibleGz" center >
			<div class="content_item">
				<span>公司名称:</span>
				<el-input style="width:50%;" class="margin15" placeholder="请输入公司名称" v-model="resumesTitle" autosize>
				</el-input>
			</div>
			<div class="content_item">
				<span>职位名称:</span>
				<el-input style="width:50%;" class="margin15" placeholder="请输入职位名称" v-model="resumesPostS" autosize>
				</el-input>
			</div>
			<div class="content_item">
				<span>项目名称:</span>
				<el-input style="width:50%;" class="margin15" placeholder="请输入项目名称" v-model="resumesProject" autosize>
				</el-input>
				<!-- <el-button type="primary" plain @click="addUpdateXu()">添加项目经验</el-button> -->
			</div>
			
			<div class="content_item">
				<span>在职时间:</span>
				<el-date-picker
				      v-model="resumesTimes"
				      type="daterange"
				      range-separator="至"
				      start-placeholder="开始日期"
				      end-placeholder="结束日期"
					  format="yyyy-MM-dd" value-format="yyyy-MM-dd">
				    </el-date-picker>
				<!-- <el-date-picker v-model="resumesTime" type="date" format="yyyy-MM-dd" value-format="yyyy-MM-dd"
					placeholder="开始日期">
				</el-date-picker>
				~ <el-date-picker v-model="resumesTitle" type="date" placeholder="结束日期">
				</el-date-picker> -->
			</div>
			<div class="content_item">
				<span>工作内容:</span>
				<el-input style="width:50%;" type="textarea" :rows="4" class="margin15" placeholder="请输入工作内容"
					v-model="resumesContent"></el-input>
			</div>
		
			<div slot="footer" class="dialog-footer">
				<el-button @click="dialogFormVisibleGz = false">取 消</el-button>
				<el-button type="primary" @click="cashNoticeTo()">确定</el-button>
			</div>
		</el-dialog>
		<!-- 用户列表 -->
		<el-dialog title="用户列表" :visible.sync="dialogFormVisibleUser" center width="80%">
			<div style="margin:2% 0;display: inline-block;">
				<el-input style="width: 150px;" @keydown.enter.native="selectU" clearable placeholder="请输入手机号"
					v-model="phone"></el-input>&nbsp;&nbsp;&nbsp;&nbsp;
				<el-input style="width: 150px;" @keydown.enter.native="selectU" clearable placeholder="微信名称筛选"
					v-model="nickName"></el-input>
			</div>
			<div style="display: inline-block;">
				<el-button style='margin-left:15px;' size="mini" type="primary" icon="document" @click="selectU">查询
				</el-button>
				<el-button style='margin-left:15px;' size="mini" type="primary" icon="document" @click="cleansU">重置
				</el-button>
			</div>
			<el-table v-loading="tableDataLoadingUser" :data="tableDataUser.list">
				<el-table-column fixed prop="userId" label="编号" width="80">
				</el-table-column>
				<el-table-column fixed prop="userName" label="昵称" >
					<template slot-scope="scope">
						<span style="color: #f56c6c;">{{scope.row.userName ? scope.row.userName : '未设置'}}</span>
					</template>
				</el-table-column>
				<el-table-column prop="phone" label="手机号" >
					<template slot-scope="scope">
						<span style="color: #4f9dec;cursor: pointer;"
							@click="updates(scope.row)">{{scope.row.phone ? scope.row.phone : '未绑定'}}</span>
					</template>
				</el-table-column>
		
				<el-table-column label="图像">
					<template slot-scope="scope">
						<img v-if="scope.row.avatar==null" src="~@/assets/img/avatar.png" alt="" width="40"
							height="40">
						<img v-else :src="scope.row.avatar" alt="" width="40" height="40">
					</template>
				</el-table-column>
				<el-table-column prop="createTime" label="创建时间" >
				</el-table-column>
				<el-table-column label="操作" fixed='right' width="120">
					<template slot-scope="scope">
						<el-button size="mini" type="primary" @click="updatesBtn(scope.row)">确定
						</el-button>
					</template>
				</el-table-column>
			</el-table>
			<div style="text-align: center;margin-top: 10px;">
				<el-pagination @size-change="handleSizeChangeU" @current-change="handleCurrentChangeU"
					:page-sizes="[5, 10, 15, 20]" :page-size="size1" :current-page="page1"
					layout="total,sizes, prev, pager, next" :total="tableDataUser.totalCount">
				</el-pagination>
			</div>
		</el-dialog>
	</div>
</template>

<script>
	export default {
		data() {
			return {
				openValue:2,
				closeValue:1,
				limit: 10,
				page: 1,
				content: '',
				status: '',
				statesnum: [{
						value: '',
						label: '全部'
					},
					{
						value: 1,
						label: '待审核'
					}, {
						value: 2,
						label: '简历展示'
					}, {
						value: 3,
						label: '已拒绝'
					}, {
						value: 4,
						label: '简历隐藏'
					}
				],
				classify: 2,
				classlyList: [{
					value: '',
					label: '全部'
				}, {
					value: 1,
					label: '否'
				}, {
					value: 2,
					label: '是'
				}],
				userName: '',
				resumesPhoneT:'',
				rulePostNameT:'',
				resumesPostT:'',
				resumesEducationT:'',
				resumesWorkExperienceT:'',
				resumesCompensationT:'',
				resumesAgeT:'',
				resumesMarriageT:'',
				school:'',
				activeName: 'first',
				tableDataLoading: false,
				tableDataLoading1:false,
				dialogFormVisible: false,
				dialogFormVisibleSh: false,
				
				tableData: {},
				checkBoxData: [], //多选框选择的值
				shopId:'',
				zyData:[],
				zwData:[],
				gzjyData:[],
				xlData:[],
				hyData:[],
				qwxzData:[],
				zzzsData:[],
				qtzyData:[],
				resumesId:'',
				pageJl:1,
				limitJl:10,
				jiluData:{},
				dialogFormVisibleSatus:false,
				radio:'',
				dialogFormVisiblePh: false,
				resumesName:'',
				resumesPhone:'',
				isshow:true,
				ruleClassifyId:'',
				
				ruleMajorA:[],
				// 添加简历字段
				dialogFormVisibleAdd:false,
				logoA: '',
				resumesNameA: '',
				resumesPhoneA: '',
				resumesMajorA: '',
				resumesEducationA: '',
				resumesAgeA: '',
				resumesMarriageA: '',
				resumesWorkExperienceA: '',
				resumesPostA: '',
				resumesEmailA: '',
				resumesCompensationA: '',
				rulePostNameA:'',
				resumesWorkListA: [],
				resumesCompanyListA: [],
				resumesDetailsA: '',
				resumesImageNameA:[],
				imgA: '',
				imgsA: [],
				resumesIntentionA:'',
				cityA:'',
				schoolA:'',
				userNameA:'',
				userIdA:'',
				ruleMajor:[],
				dialogFormVisibleGz:false,
				isshow1:true,
				ruleClassifyIdA:'',
				resumesPost:'',
				// 工作经历字段
				indexList: '',
				createTime: '',
				resumesClassify: '',
				resumesContent: '',
				resumesDetailsId: '',
				resumesId: '',
				resumesPostS: '',
				resumesTime: '',
				resumesTitle: '',
				resumesProject:'',
				resumesTimes:[],
				// 用户列表
				dialogFormVisibleUser: false,
				tableDataLoadingUser: false,
				phone: '',
				nickName: '',
				platform: 'all',
				isRelation: -1,
				size1: 10,
				page1: 1,
				tableDataUser: {},
			}
		},
		methods: {
			// 多选
			changeFun(val) {
				this.checkBoxData = val;
			},
			// 详情跳转
			updates(row) {
				this.$router.push({
					path: '/userDetail',
					query: {
						userId: row.userId
					}
				})
			},
			handleSizeChange(val) {
				this.limit = val;
				this.dataSelect()
			},
			handleCurrentChange(val) {
				this.page = val;
				this.dataSelect()
			},
			handleSizeChangeJl(val) {
				this.limitJl = val;
				this.jlshSelect()
			},
			handleCurrentChangeJl(val) {
				this.pageJl = val;
				this.jlshSelect()
			},
			handleSizeChangeU(val) {
				this.size1 = val
				this.dataSelectUser()
			},
			handleCurrentChangeU(val) {
				this.page1 = val
				this.dataSelectUser()
			},
			//审核通过
			passClick(id) {
				this.status = 1
				this.content = '同意'
				var ids = id ? [id] : this.checkBoxData.map(item => {
					return item.id
				})
				this.$http({
					url: this.$http.adornUrl(
						`student/auditStudentAuthentication/${ids}/${this.status}/${this.content}`),
					method: 'post',
					data: this.$http.adornData({})
				}).then(({
					data
				}) => {
					if (data.code == 0) {
						this.$message({
							message: '操作成功',
							type: 'success',
							duration: 1500,
							onClose: () => {
								this.content = ''
								this.status = ''
								this.dataSelect()
							}
						})
					} else {
						this.$message({
							message: data.msg,
							type: 'error',
							duration: 1500,
							onClose: () => {
								this.content = ''
								this.status = ''
								this.dataSelect()
							}
						})
					}
				})
			},
			//单条审核通过
			passClicks(row) {
				this.status = 1
				this.content = '同意'
				this.$http({
					url: this.$http.adornUrl('resumes/auditResumes'),
					method: 'post',
					params: this.$http.adornParams({
						'status': this.status,
						'ids': row.resumesId,
						'content': '通过'
					})
				}).then(({
					data
				}) => {
					if (data.code == 0) {
						this.$message({
							message: '操作成功',
							type: 'success',
							duration: 1500,
							onClose: () => {
								this.content = ''
								this.status = ''
								this.dataSelect()
							}
						})
					} else {
						this.$message({
							message: data.msg,
							type: 'error',
							duration: 1500,
							onClose: () => {
								this.content = ''
								this.status = ''
								this.dataSelect()
							}
						})
					}

				})
			},
			//审核拒绝
			refuseClick(rows) {
				console.log('rows',rows)
				this.status = 2
				this.shopId = rows.resumesId
				this.helpTakeId = rows.userId
				this.content = ''
				this.dialogFormVisible = true
			},
			refuseto() {
				if (this.content == '') {
					this.$notify({
						title: '提示',
						duration: 1800,
						message: '请输入拒绝理由',
						type: 'warning'
					});
					return
				}
				this.$http({
					url: this.$http.adornUrl('resumes/auditResumes'),
					method: 'post',
					params: this.$http.adornParams({
						'status': this.status,
						'ids': this.shopId,
						'content': this.content
					})
				}).then(({
					data
				}) => {
					if(data.code==0){
						this.dialogFormVisible = false
						this.$message({
							message: '操作成功',
							type: 'success',
							duration: 1500,
							onClose: () => {
								this.content = ''
								this.status = ''
								this.dataSelect()
							}
						})
					}else {
						this.$message({
							message: data.msg,
							type: 'error',
							duration: 1500,
							onClose: () => {
							}
						})
					}
					
				})
			},
			// 修改弹框
			upstatus(row){
				this.radio = ''
				this.shopId = row.resumesId
				this.dialogFormVisibleSatus = true
			},
			refusetoStatus(){
				if (this.radio == '') {
					this.$notify({
						title: '提示',
						duration: 1800,
						message: '请选择状态',
						type: 'warning'
					});
					return
				}
				this.$http({
					url: this.$http.adornUrl('resumes/updateResumesStatus'),
					method: 'post',
					data: this.$http.adornData({
						'status': this.radio,
						'resumesId': this.shopId
					})
				}).then(({
					data
				}) => {
					if (data.code == 0) {
						this.$message({
							message: '操作成功',
							type: 'success',
							duration: 1500,
							onClose: () => {
								this.dialogFormVisibleSatus = false
								this.content = ''
								this.status = ''
								this.dataSelect()
							}
						})
					} else {
						this.$message({
							message: data.msg,
							type: 'error',
							duration: 1500,
							onClose: () => {
							}
						})
					}
				
				})
			},
			// 查询
			select() {
				this.page = 1
				this.limit = 10
				this.dataSelect()
			},
			// 岗位筛选
			selectG(e){
				console.log('````',e)
				this.page = 1
				
				this.resumesPostT = e.ruleClassifyName
				this.ruleClassifyId = e.ruleClassifyId
				
				if(this.ruleClassifyId!=''){
					this.isshow = false
					this.zySelect()
				}
				this.dataSelect()
			},
			// 重置
			cleans() {
				this.status = ''
				this.userName = ''
				this.resumesPhoneT = ''
				this.rulePostNameT = ''
				this.resumesPostT = ''
				this.resumesWorkExperienceT = ''
				this.resumesEducationT = ''
				this.resumesAgeT = ''
				this.resumesMarriageT = ''
				this.resumesCompensationT = ''
				this.school = ''
				this.classify = 2
				this.isshow = true
				this.ruleClassifyId = ''
				this.dataSelect()
			},
			// 获取派单数据列表
			dataSelect() {
				this.tableDataLoading = true
				this.$http({
					url: this.$http.adornUrl('resumes/selectResumesList'),
					method: 'get',
					params: this.$http.adornParams({
						'page': this.page,
						'limit': this.limit,
						'status': this.status,
						'resumesName': this.userName,
						'resumesPhone': this.resumesPhoneT,
						'rulePostName':this.rulePostNameT,
						'resumesPost':this.resumesPostT,
						'resumesWorkExperience':this.resumesWorkExperienceT,
						'resumesCompensation':this.resumesCompensationT,
						'resumesMarriage':this.resumesMarriageT,
						'school':this.school,
						'resumesAge':this.resumesAgeT,
						'isRecommend':this.classify
					})
				}).then(({
					data
				}) => {
					this.tableDataLoading = false
					// for (var i in data.data.list) {
					// 	if (data.data.list[i].addressImg) {
					// 		data.data.list[i].addressImg = data.data.list[i].addressImg.split(',')
					// 	}
					// }
					this.tableData = data.data
				})
				// let returnData = data.data;
			},
			// 修改
			updateClicks(row){
				
			},
			// 查看详情
			delClicks(row){
				this.$router.push({
					path: '/resumeDetails',
					query: {
						resumesId: row.resumesId
					}
				})
			},
			// 查看电话
			phoneClicks(row){
				this.resumesPhone = row.resumesPhone
				this.resumesName = row.resumesName
				this.dialogFormVisiblePh = true
			},
			// 审核记录弹框
			shenheClicks(row){
				this.resumesId = row.resumesId
				this.jlshSelect()
				this.dialogFormVisibleSh = true
			},
			change3(isRecommend,row){
				this.$http({
					url: this.$http.adornUrl('resumes/updateResumesIsRecommend'),
					method: 'post',
					params: this.$http.adornParams({
						'resumesId': row.resumesId
					})
				}).then(({
					data
				}) => {
					if (data.code == 0) {
						this.$message({
							message: '修改成功',
							type: 'success',
							duration: 1500,
							onClose: () => {
								this.dataSelect()
							}
						})
					} else {
						this.$message({
							message: data.msg,
							type: 'warning',
							duration: 1500,
							onClose: () => {}
						})
					}
				
				})
			},
			// 专业
			zySelect() {
				// this.$http({
				// 	url: this.$http.adornUrl('sys/dict/selectDictList'),
				// 	method: 'get',
				// 	params: this.$http.adornParams({
				// 		'type': '专业'
				// 	})
				// }).then(({
				// 	data
				// }) => {
				// 	let returnData = data.data
				// 	this.zyData = returnData
				// })
				this.$http({
					url: this.$http.adornUrl('rule/selectRulePostList'),
					method: 'post',
					params: this.$http.adornParams({
						'page': this.page,
						'limit': 50,
						'rulePostName': this.rulePostNameT,
						'ruleClassifyId': this.ruleClassifyId
					})
				}).then(({
					data
				}) => {
					this.tableDataLoading4 = false
					let returnData = data.data.list
					this.zyData = returnData
				})
			},
			// 职位
			zwSelect() {
				this.$http({
					url: this.$http.adornUrl('rule/selectRuleClassifyList'),
					method: 'get',
					params: this.$http.adornParams({
						'ruleClassifyName': '',
						'status':'',
						'page':1,
						'limit':1000
					})
				}).then(({
					data
				}) => {
					let returnData = data.data
					this.zwData = returnData.list
				})
			},
			// 工作经验
			gzjySelect() {
				this.$http({
					url: this.$http.adornUrl('sys/dict/selectDictList'),
					method: 'get',
					params: this.$http.adornParams({
						'type': '工作经验'
					})
				}).then(({
					data
				}) => {
					let returnData = data.data
					this.gzjyData = returnData
				})
			},
			// 学历
			xlSelect() {
				this.$http({
					url: this.$http.adornUrl('sys/dict/selectDictList'),
					method: 'get',
					params: this.$http.adornParams({
						'type': '学历'
					})
				}).then(({
					data
				}) => {
					let returnData = data.data
					this.xlData = returnData
				})
			},
			// 婚姻状态
			hySelect() {
				this.$http({
					url: this.$http.adornUrl('sys/dict/selectDictList'),
					method: 'get',
					params: this.$http.adornParams({
						'type': '婚姻状况'
					})
				}).then(({
					data
				}) => {
					let returnData = data.data
					this.hyData = returnData
				})
			},
			// 期望薪资
			qwxzSelect() {
				this.$http({
					url: this.$http.adornUrl('sys/dict/selectDictList'),
					method: 'get',
					params: this.$http.adornParams({
						'type': '薪资'
					})
				}).then(({
					data
				}) => {
					let returnData = data.data
					this.qwxzData = returnData
				})
			},
			//  简历审核记录
			jlshSelect() {
				this.tableDataLoading1 = true
				this.$http({
					url: this.$http.adornUrl('resumes/selectAuditResumesList'),
					method: 'get',
					params: this.$http.adornParams({
						'page':this.pageJl,
						'limit':this.limitJl,
						'resumesId': this.resumesId
					})
				}).then(({
					data
				}) => {
					this.tableDataLoading1 = false
					let returnData = data.data
					this.jiluData = returnData
				})
			},
			// 资质证书名称
			zsmcSelect() {
				
				this.$http({
					url: this.$http.adornUrl('sys/dict/selectDictList'),
					method: 'get',
					params: this.$http.adornParams({
						'type': '证书名称'
					})
				}).then(({
					data
				}) => {
					let returnData = data.data
					this.zzzsData = returnData
				})
			},
			// 其他专业
			qtzySelect() {
				
				this.$http({
					url: this.$http.adornUrl('sys/dict/selectDictList'),
					method: 'get',
					params: this.$http.adornParams({
						'type': '其他专业'
					})
				}).then(({
					data
				}) => {
					let returnData = data.data
					this.qtzyData = returnData
				})
			},
			// 新增简历
			addBtn(){
				this.resumesNameA = ''
				this.resumesPhoneA = ''
				this.resumesMajorA = ''
				this.resumesEducationA = ''
				this.resumesAgeA = ''
				this.resumesMarriageA = ''
				this.resumesWorkExperienceA = ''
				this.resumesPostA = ''
				this.resumesEmailA = ''
				this.resumesCompensationA = ''
				this.resumesWorkListA = ''
				this.resumesCompanyListA = []
				this.resumesDetailsA = ''
				this.imgsA = []
				this.resumesImageNameA = []
				this.resumesIntentionA = ''
				this.cityA = ''
				this.schoolA = ''
				this.rulePostNameA = ''
				this.ruleMajorA = []
				this.userIdA = ''
				this.resumesPost = ''
				this.isshow1 = true
				this.dialogFormVisibleAdd = true
			},
			// 确认新增
			refusetoAdd(){
				if (this.userIdA == '') {
					this.$notify({
						title: '提示',
						duration: 1800,
						message: '请选择绑定用户',
						type: 'warning'
					});
					return
				}
				if (this.resumesNameA == '') {
					this.$notify({
						title: '提示',
						duration: 1800,
						message: '请输入姓名',
						type: 'warning'
					});
					return
				}
				if (this.resumesPhoneA == '') {
					this.$notify({
						title: '提示',
						duration: 1800,
						message: '请输入电话',
						type: 'warning'
					});
					return
				}
				if (this.resumesEducationA == '') {
					this.$notify({
						title: '提示',
						duration: 1800,
						message: '请选择学历',
						type: 'warning'
					});
					return
				}
				if (this.schoolA == '') {
					this.$notify({
						title: '提示',
						duration: 1800,
						message: '请输入学校',
						type: 'warning'
					});
					return
				}
				if (this.resumesAgeA == '') {
					this.$notify({
						title: '提示',
						duration: 1800,
						message: '请输入年龄',
						type: 'warning'
					});
					return
				}
				if (this.resumesMarriageA == '') {
					this.$notify({
						title: '提示',
						duration: 1800,
						message: '请选择婚姻状态',
						type: 'warning'
					});
					return
				}
				if (this.resumesWorkExperienceA == '') {
					this.$notify({
						title: '提示',
						duration: 1800,
						message: '请选择工作经验',
						type: 'warning'
					});
					return
				}
				if (this.resumesPostA == '') {
					this.$notify({
						title: '提示',
						duration: 1800,
						message: '请选择岗位',
						type: 'warning'
					});
					return
				}
				if (this.rulePostNameA == '') {
					this.$notify({
						title: '提示',
						duration: 1800,
						message: '请选择专业',
						type: 'warning'
					});
					return
				}
				if (this.resumesEmailA == '') {
					this.$notify({
						title: '提示',
						duration: 1800,
						message: '请输入邮箱',
						type: 'warning'
					});
					return
				}
				if (this.resumesCompensationA == '') {
					this.$notify({
						title: '提示',
						duration: 1800,
						message: '请选择期望薪资',
						type: 'warning'
					});
					return
				}
				if (this.resumesIntentionA == '') {
					this.$notify({
						title: '提示',
						duration: 1800,
						message: '请输入意向位置(首选)',
						type: 'warning'
					});
					return
				}
				if (this.resumesCompanyListA.length == 0) {
					this.$notify({
						title: '提示',
						duration: 1800,
						message: '请输入工作经历',
						type: 'warning'
					});
					return
				}
				
				
				this.imgA = this.imgsA.join(',')
				// let resumesId = this.$route.query.resumesId
				this.$http({
					url: this.$http.adornUrl('resumes/insertResumes'),
					method: 'post',
					data: this.$http.adornData({
						'resumesName':this.resumesNameA,
						'resumesPhone':this.resumesPhoneA,
						'resumesMajor':this.resumesMajorA,
						'resumesEducation':this.resumesEducationA,
						'resumesAge':this.resumesAgeA,
						'resumesMarriage':this.resumesMarriageA,
						'resumesWorkExperience':this.resumesWorkExperienceA,
						'resumesPost':this.resumesPostA,
						'resumesEmail':this.resumesEmailA,
						'resumesCompensation':this.resumesCompensationA,
						'resumesWorkList':this.resumesWorkListA,
						'resumesCompanyList':this.resumesCompanyListA,
						'resumesDetails':this.resumesDetailsA,
						'resumesImage':this.imgsA.toString(),
						'resumesImageName':this.resumesImageNameA.toString(),
						'resumesIntention':this.resumesIntentionA,
						'city':this.cityA,
						'school':this.schoolA,
						'rulePostName':this.rulePostNameA,
						'ruleMajor':this.ruleMajorA.toString(),
						'userId':this.userIdA,
						// 'isRecommend':2
					})
				}).then(({
					data
				}) => {
					if(data.code==0){
						this.$message({
							message: '添加成功',
							type: 'success',
							duration: 1500,
							onClose: () => {
								this.dataSelect()
								this.dialogFormVisibleAdd = false
							}
						})
					}else{
						this.$message({
							message: data.msg,
							type: 'warning',
							duration: 1500,
							onClose: () => {}
						})
					}
					
				})
			},
			// 添加/修改项目经验/工作经历
			addUpdate(index,row) {
				if (row) {
					this.indexList = index
					this.createTime = row.createTime
					this.resumesClassify = row.resumesClassify
					this.resumesContent = row.resumesContent
					this.resumesDetailsId = row.resumesDetailsId
					this.resumesId = row.resumesId
					this.resumesPostS = row.resumesPost
					this.resumesProject = row.resumesProject
					this.resumesTime = row.resumesTime
					this.resumesTitle = row.resumesTitle
					this.resumesTimes  = row.resumesTime.split(' - ')
					// console.log('resumesTime',this.resumesTime, typeof this.resumesTime,'``````',this.resumesTimes)
				} else {
					this.indexList = ''
					this.createTime = ''
					this.resumesClassify = ''
					this.resumesContent = ''
					this.resumesDetailsId = ''
					this.resumesId = ''
					this.resumesPostS = ''
					this.resumesProject = ''
					this.resumesTime = ''
					this.resumesTitle = ''
					this.resumesTimes = []
				}
				console.log(this.indexList)
				this.dialogFormVisibleGz = true
			
			},
			// 确认添加
			cashNoticeTo() {
				var times = this.resumesTimes[0]+' - '+this.resumesTimes[1]
				this.resumesTime = times
					if (this.resumesTitle == '') {
						this.$notify({
							title: '提示',
							duration: 1800,
							message: '请输入公司名称',
							type: 'warning'
						});
						return
					}
					if (this.resumesPostS == '') {
						this.$notify({
							title: '提示',
							duration: 1800,
							message: '请输入职位',
							type: 'warning'
						});
						return
					}
					if (this.resumesProject == '') {
						this.$notify({
							title: '提示',
							duration: 1800,
							message: '请输入项目名称',
							type: 'warning'
						});
						return
					}
					
					if (this.resumesTime == '') {
						this.$notify({
							title: '提示',
							duration: 1800,
							message: '请输入在职时间',
							type: 'warning'
						});
						return
					}
					if (this.resumesContent == '') {
						this.$notify({
							title: '提示',
							duration: 1800,
							message: '请输入工作内容',
							type: 'warning'
						});
						return
					}
					var dataList = {}
					dataList.createTime = this.createTime
					dataList.resumesClassify = this.resumesClassify
					dataList.resumesContent = this.resumesContent
					dataList.resumesDetailsId = this.resumesDetailsId
					dataList.resumesId = this.resumesId
					dataList.resumesPost = this.resumesPostS
					dataList.resumesProject = this.resumesProject
					dataList.resumesTime = this.resumesTime
					dataList.resumesTitle = this.resumesTitle
					console.log('this.indexList',this.indexList)
					if(this.indexList === ''){
						this.resumesCompanyListA.push(dataList)
					}else{
						this.resumesCompanyListA[this.indexList].createTime = this.createTime
						this.resumesCompanyListA[this.indexList].resumesClassify = this.resumesClassify
						this.resumesCompanyListA[this.indexList].resumesContent = this.resumesContent
						this.resumesCompanyListA[this.indexList].resumesDetailsId = this.resumesDetailsId
						this.resumesCompanyListA[this.indexList].resumesId = this.resumesId
						this.resumesCompanyListA[this.indexList].resumesPost = this.resumesPostS
						
						this.resumesCompanyList[this.indexList].resumesProject = this.resumesProject
						this.resumesCompanyList[this.indexList].resumesTime = this.resumesTime
						this.resumesCompanyList[this.indexList].resumesTitle = this.resumesTitle
					}
					
					this.dialogFormVisibleGz = false
				
			},
			// 删除工作经历
			deleteList(index){
				this.resumesCompanyListA.splice(index,1)
			},
			//上传成功
			handleUploadSuccess(file, fileList) {
				this.imgA = file.data
				this.imgsA.push(this.imgA)
				this.$nextTick(() => {
					this.$refs.upload.clearFiles();
				})
			},
			handleChange(file, fileList) {
				// this.hideUpload = fileList.length >= this.limit;
			},
			handleRemove(file, fileList) {
				// this.hideUpload = fileList.length >= this.limit;
			},
			// 删除
			clear(index) {
				this.imgsA.splice(index, 1);
			},
			// 获取分类id
			onChang(e) {
				console.log(e)
				this.ruleMajor = e
			},
			// 用户列表信息
			updatesUp() {
				this.dataSelectUser()
				this.dialogFormVisibleUser = true
			},
			selectU() {
				this.page1 = 1
				this.dataSelectUser()
			},
			cleansU() {
				this.page1 = 1
				this.phone = ''
				this.nickName = ''
				this.dataSelectUser()
			},
			// 获取数据列表
			dataSelectUser() {
				this.tableDataLoadingUser = true
				this.$http({
					url: this.$http.adornUrl('user/selectUserList'),
					method: 'get',
					params: this.$http.adornParams({
						'page': this.page1,
						'limit': this.size1,
						'member': '',
						'phone': this.phone,
						'userName': this.nickName,
						'isAuthentication': 1,
						'userResumesStatus': '',
						'weekMember':'',
						'resumes':''
					})
				}).then(({
					data
				}) => {
					this.tableDataLoadingUser = false
					let returnData = data.data
					this.tableDataUser = returnData
				})
			},
			// 确定选择用户
			updatesBtn(row) {
				this.userNameA = row.userName
				this.userIdA = row.userId
				this.dialogFormVisibleUser = false
				
			},
			// 岗位筛选
			selectGa(e){
				this.resumesPostA = e.ruleClassifyName
				this.resumesPost =  e.ruleClassifyName
				this.ruleClassifyId = e.ruleClassifyId
				if(this.ruleClassifyId!=''){
					this.isshow1 = false
					this.zySelect()
				}
			},
		},
		mounted() {
			this.dataSelect()
			this.zySelect()
			this.gzjySelect()
			this.xlSelect()
			this.hySelect()
			this.qwxzSelect()
			this.zwSelect()
			this.zsmcSelect()
			this.qtzySelect()
		}
	};
</script>

<style>
.box {
		padding: 44px;
		border: 1px solid #eee;
		margin: 15px 10px;
	}

	.box_num {
		font-size: 14px;
		color: #66b1ff;
	}

	.box_num .box_color {
		color: #333;
		font-size: 14px;
		margin-bottom: 15px;
	}

	.box_num div span {
		font-size: 20px;
		margin-left: 5px;
	}

	.text_color {
		color: #4f9dec;
	}

	.text_color span {
		margin-right: 5px;
	}
	/* ```````````````` */
	.content_item {
		margin-bottom: 20px;
	}
	
	.content_item span {
		display: inline-block;
		width: 120px;
		text-align: left;
	}
	
	.bigDiv {
		box-shadow: 0px 0px 10px #efefef;
		margin: 10px 0;
		padding: 10px;
		position: relative;
	}
	
	.xiugai {
		position: absolute;
		right: 40px;
		top: 10px;
	}
	
	.shanchu {
		position: absolute;
		right: 10px;
		top: 10px;
	}
	
	.titleGz {
		font-size: 15px;
		font-weight: 600;
		margin: 10px 0;
	}
	
	.spanGz {
		color: #999;
	}
	
	.spanGz span {
		margin-right: 20px;
		padding: 5px 0;
	}
	
	.spanTime {
		display: inline-block;
		width: 50% !important;
	}
	
	.delGz {
		color: #666;
		margin: 5px 0;
	}
</style>
